<template>
    <view class="changePassword-page">
        <ZxInput
            v-model="form.oldPassword"
            :placeholder="$t('请输入旧密码')"
            isPassword
        />
        <ZxInput
            v-model="form.password"
            :placeholder="$t('请输入新密码')"
            isPassword
        />
        <ZxInput
            v-model="form.passwordAgain"
            :placeholder="$t('请再次输入新密码')"
            isPassword
        />
   
        <view :class="['zx-form-btn', isSubmit && 'is-submit']" style="margin-top: 64rpx;" @tap="changePassword">
            {{ $t('确认修改') }}
        </view>
    </view>
</template>


<script>
import ZxInput from './components/ZxInput.vue'
var config = require('../../common/config_gyq.js');
	var http = require('../../common/request.js');
export default {
    data() {
        return {
            form: {

            }
        }
    },
    components: {
        ZxInput
    },
    computed: {
        isSubmit({ form }) {
            return form.oldPassword && form.password && form.passwordAgain
        }
    },
    methods: {
        changePassword() {
			
        }
    }
}
</script>

<style lang="scss" scoped>
 @import "@/libs/css/layout.scss";

.changePassword-page {
    padding: 58rpx 32rpx;
    min-height: 100vh;
    width: 100%;
    background: #F1F3F4;
}
</style>